"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOppositeDirection = exports.ALL_DIRECTIONS = exports.DIAGONAL_DIRECTIONS = exports.STRAIGHT_DIRECTIONS = void 0;
/**
 * An array of all straight directions
 */
exports.STRAIGHT_DIRECTIONS = ['TOP', 'BOTTOM', 'LEFT', 'RIGHT'];
/**
 * An array of all diagonal directions
 */
exports.DIAGONAL_DIRECTIONS = ['TOP_LEFT', 'TOP_RIGHT', 'BOTTOM_LEFT', 'BOTTOM_RIGHT'];
/**
 * An array of all straight and diagonal directions
 */
exports.ALL_DIRECTIONS = [...exports.STRAIGHT_DIRECTIONS, ...exports.DIAGONAL_DIRECTIONS];
const getOppositeDirection = (direction) => {
    return {
        TOP: 'BOTTOM',
        BOTTOM: 'TOP',
        LEFT: 'RIGHT',
        RIGHT: 'LEFT',
        TOP_LEFT: 'BOTTOM_RIGHT',
        BOTTOM_RIGHT: 'TOP_LEFT',
        TOP_RIGHT: 'BOTTOM_LEFT',
        BOTTOM_LEFT: 'TOP_RIGHT',
    }[direction];
};
exports.getOppositeDirection = getOppositeDirection;
