import { Corner } from './Corner';
/**
 * The representation of all neighbors of a cell
 */
export class Corners {
    grid;
    sourceCell;
    /**
     * @param grid The grid the cell is part of
     * @param sourceCell The source cell
     */
    constructor(grid, sourceCell) {
        this.grid = grid;
        this.sourceCell = sourceCell;
    }
    /**
     * @param direction The direction to the corner
     * @returns The corner
     */
    get(direction) {
        const neighborCells = this.getNeighborDirections(direction)
            .map((direction) => this.sourceCell.neighbors.find(direction))
            .filter(Boolean);
        return new Corner(this.sourceCell, direction, neighborCells);
    }
}
